Subject: Re: [PATCH 08/17] pack-objects: add --path-walk option

From: Taylor Blau <[email-masked]>
Date: Tue, 29 Oct 2024 18:16:23 -0400

On Tue, Oct 29, 2024 at 02:36:57PM -0700, Jonathan Tan wrote:
> By incompatibility, do you mean the incompatibility between bitmaps
> and the overall --path-walk feature as implemented collectively by the
> patches in Stolee's patch set? If so, I suspect that we will need a
> parallel code path that takes in the "want" and "uninteresting" commits
> and emits the list of objects (possibly before sorting the objects by
> path hash), much like in builtin/pack-objects.c, so I think there will
> be some effort involved in making the two work together.

I am not sure yet, in all honesty, because I haven't had enough time to
spend yet reviewing these patches to have anything intelligent to say.

Thanks,
Taylor